<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() ) {
	
	$paraPadreIdCod	= filter_var($_POST['id'], FILTER_SANITIZE_STRING);
    $paraPadreId	= filter_var(Varios::decodifica($paraPadreIdCod), FILTER_SANITIZE_NUMBER_INT);
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Parametro.Class.php');
	$parametro_obj = new Parametro(null);
	$parametro_inf = $parametro_obj->informacionParametro($paraPadreId,null, null, 1);
	$parametro_obj->Close();
	?>
	<div class="row">
	<div class="col-sm-12" align="right">
		<button class="btn btn-sm btn-primary" onclick="solicitaRecuperar(<?php echo $paraPadreId;?>, 0)"><i class="picons-thin-icon-thin-0151_plus_add_new" 
					style="font-size:15px;color:white;"></i> Nuevo </button>
	</div>
	</div>
	<table id="tablaParametros" class="table table-responsive table-hover table-condensed table-striped table-bordered" 
		style="border: 3px solid #DEE0E2;">
		<thead class="thead-default">
			<tr><?php 
				if($paraPadreId == 105000){?>
					<th width="30%">Código</th><?php 
				}?>
				<th width="80%">Nombre</th>
				<th width="15%">Estado</th>
				<th width="15%">Opciones</th>
			</tr>
		</thead>
		<tbody><?php
			foreach ($parametro_inf as $value) {?>		
				<tr><?php 
					if($paraPadreId == 105000){?>
						<td style="vertical-align: text-top; "><?php echo $value['para_codigo'];?></td><?php 
					}?>
					<td style="vertical-align: text-top;"><?php echo $value['para_nombre'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['para_estado_formato'];?></td>
					
					<td style="vertical-align: text-top; white-space: nowrap;"  class="row-actions">	
						<a href="#" title="Modificar " onclick="solicitaRecuperar(<?php echo $paraPadreId;?>, <?php echo $value['para_UID'];?>, 
								'<?php echo $value['para_nombre'];?>')"><i class="os-icon os-icon-pencil-2" style="color:blue;"></i></a><?php
						if ($value['para_registros'] == 0) {?>
							<a class="danger" href="#" title="Eliminar el lugar"
								onclick="parametroEliminarConfirmar('<?php echo varios::codifica($value['para_UID']);?>', 
								'<?php echo $value['para_nombre'];?>')"><i class="picons-thin-icon-thin-0018_office_trash_bin" style="color:blue;"></i></a><?php											
						} else {?>
							<a class="disabled" href="#" title="No se puede eliminar porque está siendo ocupado"><i class="picons-thin-icon-thin-0018_office_trash_bin" 
										style="color:#aeb6bf;"></i></a><?php						
						}?>
					</td>
				</tr><?php
				
			}?>		
		</tbody>
	</table>
	<?php
}